/* $Id: xmalloc.h,v 1.6 2003/01/09 19:05:31 wojtekka Exp $ */

/*
 *  (C) Copyright 2001-2002 Wojtek Kaniewski <wojtekka@irc.pl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __XMALLOC_H
#define __XMALLOC_H

#define xnew(t) (xcalloc(1, sizeof(t)))
#define xnew_t(t) (xcalloc(1, sizeof(*t)))

void ekg_oom_handler();

void *xcalloc(int nmemb, int size);
void *xmalloc(int size);
void xfree(void *ptr);
void *xrealloc(void *ptr, int size);
char *xstrdup(const char *s);
char *saprintf(const char *format, ...);

#endif /* __XMALLOC_H */
